> ## Documentation Index
> Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Custom Object

> Allows you to create a custom object schema. To understand objects and records, please have a look at the documentation here : https://doc.clickup.com/8631005/d/h/87cpx-277156/93bf0c2e23177b0

Allows you to create a custom object schema. To understand objects and records, please have a look at the documentation here : [https://doc.clickup.com/8631005/d/h/87cpx-277156/93bf0c2e23177b0](https://doc.clickup.com/8631005/d/h/87cpx-277156/93bf0c2e23177b0)

```http theme={null}
POST https://services.leadconnectorhq.com/objects/
```

## Autorización

<ParamField header="Authorization" type="string" required>
  Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication).
</ParamField>

<ParamField header="Version" type="string" required default="2021-07-28">
  Versión de la API.
</ParamField>

## Body

<ParamField body="labels" type="object" required>
  This is what your custom object will be called. These labels will be used to display your custom object on the UI
</ParamField>

<ParamField body="key" type="string" required default="custom_objects.pet">
  key that would be used to refer the Custom Object internally (lowercase + underscore\_separated). 'custom\_objects.' would be added as prefix by default
</ParamField>

<ParamField body="description" type="string" default="These are non vaccinated pets">
  Pet Object\`s description
</ParamField>

<ParamField body="locationId" type="string" required default="ve9EPM428h8vShlRW1KT">
  Account Id
</ParamField>

<ParamField body="primaryDisplayPropertyDetails" type="object" required>
  Primary property which will be displayed on the record page
</ParamField>

## Respuestas

<Accordion title="201 - Successful response">
  <ResponseField name="object" type="object">
    <Expandable title="propiedades">
      <ResponseField name="id" type="string" required default="661c06b4ffde146bdb469442">
        id of the custom / standard object schema
      </ResponseField>

      <ResponseField name="standard" type="boolean" required default="False">
        false in case of custom objects and true in case of standard objects like contacts and opportunities
      </ResponseField>

      <ResponseField name="key" type="string" required default="custom_objects.pet">
        key that would be used to refer the custom / standard Object internally (lowercase + underscore\_separated). For custom objects, 'custom\_objects.' would be added as prefix by default
      </ResponseField>

      <ResponseField name="labels" type="object" required>
        This is what your custom / standard  object will be called. These labels will be used to display your custom object on the UI
      </ResponseField>

      <ResponseField name="description" type="string" default="These are non vaccinated pets">
        Custom / Standard  Object Descriptions for example , Pet Object\`s description
      </ResponseField>

      <ResponseField name="locationId" type="string" required default="Q9DT3OAqEXDLYuob1G32">
        account's id
      </ResponseField>

      <ResponseField name="primaryDisplayProperty" type="string" required default="custom_objects.pet.name">
        Primary property for the custom / standard  Object. This would be used as primary data when rendering the UI. 'custom\_objects.\{\{object\_key}} or business.\{\{object\_key}} (for company)' would be added as prefix by default for all the custom / standard objects
      </ResponseField>

      <ResponseField name="dateAdded" type="string" required>
        Date and time when the object was added
      </ResponseField>

      <ResponseField name="dateUpdated" type="string" required>
        Date and time when the object was last updated
      </ResponseField>

      <ResponseField name="type" type="object" default="The Object type can either USER_DEFINED or SYSTEM_DEFINED">
        Object\`s Type
      </ResponseField>
    </Expandable>
  </ResponseField>

  ```json theme={null}
  {
    "object": {
      "id": "661c06b4ffde146bdb469442",
      "standard": false,
      "key": "custom_objects.pet",
      "labels": {
        "singular": "Pet",
        "plural": "Pets"
      },
      "description": "These are non vaccinated pets",
      "locationId": "Q9DT3OAqEXDLYuob1G32",
      "primaryDisplayProperty": "custom_objects.pet.name",
      "dateAdded": "2024-01-15T10:30:00Z",
      "dateUpdated": "2024-01-15T10:30:00Z",
      "type": "The Object type can either USER_DEFINED or SYSTEM_DEFINED"
    }
  }
  ```
</Accordion>

<Accordion title="400 - Bad Request">
  ```json theme={null}
  {}
  ```
</Accordion>

<Accordion title="401 - Unauthorized">
  ```json theme={null}
  {}
  ```
</Accordion>

<Accordion title="422 - Unprocessable Entity">
  ```json theme={null}
  {}
  ```
</Accordion>

## Ejemplo

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST 'https://services.leadconnectorhq.com/objects/' \
    -H 'Authorization: Bearer YOUR_TOKEN' \
    -H 'Version: 2021-07-28' \
    -H 'Content-Type: application/json' \
    -d '{
    "labels": {
      "singular": "Pet",
      "plural": "Pets"
    },
    "key": "custom_objects.pet",
    "description": "These are non vaccinated pets",
    "locationId": "ve9EPM428h8vShlRW1KT"
  }'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://services.leadconnectorhq.com/objects/', {
    method: 'POST',
    headers: {
      Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
      Version: '2021-07-28',
      'Content-Type': 'application/json',
    },
    body: JSON.stringify({"labels": {"singular": "Pet", "plural": "Pets"}, "key": "custom_objects.pet", "description": "These are non vaccinated pets", "locationId": "ve9EPM428h8vShlRW1KT"}),
  });
  const data = await response.json();
  ```

  ```python Python theme={null}
  import os, requests
  response = requests.request(
      'POST',
      'https://services.leadconnectorhq.com/objects/',
      headers={
          'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
          'Version': '2021-07-28',
          'Content-Type': 'application/json',
      },
      json={"labels": {"singular": "Pet", "plural": "Pets"}, "key": "custom_objects.pet", "description": "These are non vaccinated pets", "locationId": "ve9EPM428h8vShlRW1KT"},
  )
  data = response.json()
  ```

  ```php PHP theme={null}
  <?php
  $ch = curl_init('https://services.leadconnectorhq.com/objects/');
  curl_setopt_array($ch, [
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_CUSTOMREQUEST => 'POST',
      CURLOPT_HTTPHEADER => [
          'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
          'Version: 2021-07-28',
          'Content-Type: application/json',
      ],
      CURLOPT_POSTFIELDS => json_encode({'labels': {'singular': 'Pet', 'plural': 'Pets'}, 'key': 'custom_objects.pet', 'description': 'These are non vaccinated pets', 'locationId': 've9EPM428h8vShlRW1KT'}),
  ]);
  $data = json_decode(curl_exec($ch), true);
  ```
</CodeGroup>
